Bug 700362 - AR9287 wifi driver stop working after a while
AR9287 wifi driver stop working after a while
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 04:28 EDT by Uno Engborg
Modified: 2012-06-04 15:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 15:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 27392 None None None Never

  None (edit)
Description Uno Engborg 2011-04-28 04:28:13 EDT
Description of problem:
If I try to use wifi, it works for a short while and then it stops working.
If I wait for a minute or so it seam to start again for a short while, just to die again a little bit later. It then continues to go up and down in this way.


Version-Release number of selected component (if applicable): 

2.6.38.3-18.fc15.x86_64 #1 SMP Fri Apr 22 13:24:23 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux



How reproducible:
Always

  
Actual results:

Intermittant connection, 

My dmesg log looks like this:
[ 7716.273673] wlan0: authenticate with 00:24:01:df:d9:c9 (try 1)
[ 7716.275704] wlan0: authenticated
[ 7716.297021] wlan0: associate with 00:24:01:df:d9:c9 (try 1)
[ 7716.300658] wlan0: RX ReassocResp from 00:24:01:df:d9:c9 (capab=0x431 status=0 aid=2)
[ 7716.300664] wlan0: associated
[11152.236469] ath: Failed to stop TX DMA in 100 msec after killing last frame
[11152.236510] ath: Failed to stop TX DMA!
[11201.098469] ath: Failed to stop TX DMA in 100 msec after killing last frame
[11201.098505] ath: Failed to stop TX DMA!
[11299.310404] ath: Failed to stop TX DMA in 100 msec after killing last frame
[11299.310440] ath: Failed to stop TX DMA!
[11589.150469] ath: Failed to stop TX DMA in 100 msec after killing last frame
[11589.150505] ath: Failed to stop TX DMA!
[12208.192386] ath: Failed to stop TX DMA in 100 msec after killing last frame
[12208.192421] ath: Failed to stop TX DMA!
[14438.088390] ath: Failed to stop TX DMA in 100 msec after killing last frame
[14438.088425] ath: Failed to stop TX DMA!
[15485.266500] ath: Failed to stop TX DMA in 100 msec after killing last frame
[15485.266536] ath: Failed to stop TX DMA!
[15890.118466] ath: Failed to stop TX DMA in 100 msec after killing last frame
[15890.118502] ath: Failed to stop TX DMA!
[16984.144466] ath: Failed to stop TX DMA in 100 msec after killing last frame
[16984.144501] ath: Failed to stop TX DMA!
[17827.866765] SELinux: initialized (dev proc, type proc), uses genfs_contexts
[17836.164468] ath: Failed to stop TX DMA in 100 msec after killing last frame
[17836.164504] ath: Failed to stop TX DMA!
[17856.707936] SELinux: initialized (dev proc, type proc), uses genfs_contexts
[17889.312580] SELinux: initialized (dev proc, type proc), uses genfs_contexts
[17896.442068] SELinux: initialized (dev proc, type proc), uses genfs_contexts
[17921.953930] SELinux: initialized (dev proc, type proc), uses genfs_contexts
[18400.520600] SELinux: initialized (dev proc, type proc), uses genfs_contexts
[19354.762468] ath: Failed to stop TX DMA in 100 msec after killing last frame
[19354.762503] ath: Failed to stop TX DMA!
[19953.144397] ath: Failed to stop TX DMA in 100 msec after killing last frame
[19953.144433] ath: Failed to stop TX DMA!
[20208.424528] ath: Failed to stop TX DMA in 100 msec after killing last frame
[20208.424564] ath: Failed to stop TX DMA!
[20702.577780] wlan0: deauthenticating from 00:24:01:df:d9:c9 by local choice (reason=3)
[20702.593718] cfg80211: Calling CRDA to update world regulatory domain
[20703.162519] cfg80211: World regulatory domain updated:
[20703.162523] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[20703.162526] cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[20703.162529] cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[20703.162532] cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[20703.162534] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[20703.162537] cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[20703.162817] cfg80211: Calling CRDA for country: SE
[20703.179676] cfg80211: Regulatory domain changed to country: SE
[20703.179680] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[20703.179683] cfg80211:     (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[20703.179686] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[20703.179688] cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[20703.179690] cfg80211:     (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
[20706.989435] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[20709.874841] wlan0: authenticate with 00:24:01:df:d9:c9 (try 1)
[20710.074078] wlan0: authenticate with 00:24:01:df:d9:c9 (try 2)
[20710.274100] wlan0: authenticate with 00:24:01:df:d9:c9 (try 3)
[20710.474112] wlan0: authentication with 00:24:01:df:d9:c9 timed out
[20728.466992] wlan0: authenticate with 00:24:01:df:d9:c9 (try 1)
[20728.501590] wlan0: authenticated
[20728.551672] wlan0: associate with 00:24:01:df:d9:c9 (try 1)
[20728.574421] wlan0: RX AssocResp from 00:24:01:df:d9:c9 (capab=0x431 status=0 aid=1)
[20728.574425] wlan0: associated
[20728.585995] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[20739.546036] wlan0: no IPv6 routers present
[21397.140447] ath: Failed to stop TX DMA in 100 msec after killing last frame
[21397.140488] ath: Failed to stop TX DMA!
[root@myran ~]# 



Expected results:
working wifi, as far as I can tell it worked in Fedora 14.


Additional info:
Comment 1 Uno Engborg 2011-04-30 00:03:52 EDT
Googling a bit, 

it seems that it is fix in 2.6.39-rc1

See: http://www.kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.39-rc1
commit: d78f4b3e2c4dfb9487624f7157af04ab4260e189

Perhaps this could be backported to 2.6.38
Comment 2 Chuck Ebbert 2011-05-02 22:15:52 EDT
(In reply to comment #1)
> Googling a bit, 
> 
> it seems that it is fix in 2.6.39-rc1
> 
> See: http://www.kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.39-rc1
> commit: d78f4b3e2c4dfb9487624f7157af04ab4260e189
> 
> Perhaps this could be backported to 2.6.38

If you look at that commit, you'll see it fixes a bug introduced by commit 86271e460a66003dc1f4cbfd845adafb790b7587 ... and that commit went in 2.6.39-rc1, so it can't be the cause of this problem.
Comment 3 Stanislaw Gruszka 2011-06-09 09:32:15 EDT
Please test compat-wireless-next package from http://people.redhat.com/sgruszka/compact_wireless.html

There is patch:

commit 1df85ecec36ad5da3f0165760704310d6c03f65f
Author: Adrian Chadd <adrian.chadd@gmail.com>
Date:   Fri May 27 01:08:04 2011 +0800

    ath9k: Fix AR9287 calibration

which possibly could fix this problem.
Comment 4 Josh Boyer 2011-09-27 10:21:04 EDT
The commit referenced in comment #3 is included in the 3.0 kernel.  F15 is using 2.6.40.x which is just 3.0 renamed.  Are you still having this problem on the latest F15 kernel?
Comment 5 Uno Engborg 2011-09-28 06:52:25 EDT
(In reply to comment #4)
> The commit referenced in comment #3 is included in the 3.0 kernel.  F15 is
> using 2.6.40.x which is just 3.0 renamed.  Are you still having this problem on
> the latest F15 kernel?

Unfortunately, I can't tell. I have no longer access to a machine with that hardware. So if nobody else have any input on this I suggest we close this bug and reopen it again when somebody have a machine to test on, in case the problem still exists in current kernel versions.

Note You need to log in before you can comment on or make changes to this bug.